# PFotos 1.5 Copyright(C) 2017-2022 Cora Kohlmeier, Frank Hamberg
proc histogram1 {} {
global widgetlist widgetwindow tool selectionwindow
global camera lens flash focallength focallength35 aperture iso exposure imgtype timeslot
global binflash binlens bincamera biniso binaperture binfocallength binfocallength35 binexposure bintype bintimeslot

global bg 
global calinit windowframelist topofbins
global wmwidth wmheight mainframe

set windowframelist ""
#puts "camsandlenses"
#parray widgetwindow
if ![info exist calinit] {set calinit 1}
# für den laufenden Betrieb sicherstellen, dass das Selection-Fenster geschlossen wird
if {[winfo exist selectionwindow]} {destroy $selectionwindow}

# Infofenster

#if [info exist $c.top] {$c.top destroy}
#if [info exist $c.mid] {$c.mid destroy}
set c $mainframe
frame $c.top  -bg $bg 
frame $c.mid  -bg $bg 
#pack $c.top $c.mid -padx 20 -fill x -expand true
grid $c.top -column 0 -row 0 -sticky nw -padx 20
grid $c.mid -column 0 -row 1 -sticky n -padx 20

# Infoframe für allgemeine Angaben
InfoFrame $c.top 
initTimeHistogram

set tool histogram1
set packlist ""
set winpos 1
# Histogramme
set index [lindex $widgetlist 1]
if {$widgetwindow($index,$winpos)==1} {
  set a $c.mid.1
  frame $a -bg $bg 
  makeButtons $a $calinit 1 25 $index $camera $bincamera
  lappend packlist $a
  UpdateWidget $index $camera $bincamera
}

set index [lindex $widgetlist 2]
if {$widgetwindow($index,$winpos)==1} {
  set a $c.mid.2
  frame $a -bg $bg 
  makeButtons $a $calinit 2 30 $index $lens $binlens
  lappend packlist $a
  UpdateWidget $index $lens $binlens
}

set index [lindex $widgetlist 3]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.3
   frame $a -bg $bg
   makeButtons $a $calinit 3 5 $index $focallength35 $binfocallength35 
   lappend packlist $a
   UpdateWidget $index $focallength35 $binfocallength35
}

set index [lindex $widgetlist 8]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.8
   frame $a -bg $bg 
   makeButtons $a $calinit 4 5 $index $focallength $binfocallength
   lappend packlist $a
   UpdateWidget $index $focallength $binfocallength
}

set index [lindex $widgetlist 4]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.4
   frame $a -bg $bg 
   makeButtons $a $calinit 5 5 $index $aperture $binaperture 
   lappend packlist $a
   UpdateWidget $index $aperture $binaperture
}

set index [lindex $widgetlist 5]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.5
   frame $a -bg $bg 
   makeButtons $a $calinit 6 7 $index $iso $biniso 
   lappend packlist $a
   UpdateWidget $index $iso $biniso
}

set index [lindex $widgetlist 6]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.6
   frame $a -bg $bg
   makeButtons $a $calinit 7 7 $index $exposure $binexposure 
   lappend packlist $a
   UpdateWidget $index $exposure $binexposure
}

set index [lindex $widgetlist 7]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.7
   frame $a -bg $bg 
   makeButtons $a $calinit 8 5 $index $flash $binflash
   lappend packlist $a
   UpdateWidget $index $flash $binflash
}

set index [lindex $widgetlist 9]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.9
   frame $a -bg $bg 
   makeButtons $a $calinit 8 5 $index $imgtype $bintype
   lappend packlist $a
   UpdateWidget $index $imgtype $bintype
}

set index [lindex $widgetlist 10]
if {$widgetwindow($index,$winpos)==1} {
   set a $c.mid.10
   frame $a -bg $bg 
   makeButtons $a $calinit 8 5 $index $timeslot $bintimeslot
   lappend packlist $a
   UpdateWidget $index $timeslot $bintimeslot
}

set calinit 0
foreach item $packlist {
    pack $item -side left -fill both -pady 10 -padx 10 -expand true
}
set topofbins [expr [winfo rooty .] + [winfo rooty $c.mid]]
resize $windowframelist $wmheight
updateTimeHistogram
warnFilter
}
