# PFotos 1.5 Copyright(C) 2017-2022 Cora Kohlmeier, Frank Hamberg
proc fileselect {title type dir operation {initfile pfotostmp}} {
global tk_strictMotif
set tk_strictMotif 0

switch $type {

csv { set types {
	  { "csv"	{.csv}}
	  { "All files" *}
    }
}

txt { set types {
	  { "txt"	{.txt}}
	  { "All files" *}
    }
}

default { set types {
	   { "All files"		*}
	   { "PFOTOS files"	{.csv .txt}}
        }   
    }
}

if {$operation == "open"} {
	set file [tk_getOpenFile -title $title -filetypes $types -initialdir $dir]
    } else {
	set file [tk_getSaveFile -filetypes $types -title $title -initialdir $dir -initialfile $initfile -defaultextension .$type]
    }    
return $file
}


proc dirselect {title dir {exist 1}} {
global tk_strictMotif
set tk_strictMotif 0
set dir [tk_chooseDirectory -initialdir $dir -title $title -mustexist $exist]
return $dir
}


