# PFotos 1.5 Copyright(C) 2017-2022 Cora Kohlmeier, Frank Hamberg
proc adjustTime {slider} {
global imgabstime imgdate maxtime mintime max_validtime min_validtime
global tf_status tf_start tf_end excludenotime
global warn fg bg 
global actperiod
# "Überkreuzen" der Slider verhindern

switch $slider {
	1 { if {$tf_start >= $tf_end} {set tf_start [max $min_validtime [expr $tf_end -1]]} }
	2 { if {$tf_end < $tf_start} {set tf_end [min $maxtime [expr $tf_start +1]]}  }
	default {}
}
set actperiod "[timetoDate $tf_start] - [timetoDate $tf_end]"
if {$tf_start != $min_validtime || $tf_end != $maxtime} {set tf_status 1} else {set tf_status 0}

makeSelection	
UpdateAllWidgets
} 

proc showTime  {slider {input 0}} {
global imgabstime imgdate maxtime mintime max_validtime min_validtime
global tf_status tf_start tf_end disp_timeinterval actperiod warn fg
switch $slider {
	1 { set actperiod "[timetoDate $input] - [timetoDate $tf_end]" }
	2 { set actperiod "[timetoDate $tf_start] - [timetoDate $input]"  }
	default {}
}
if {$tf_start != $mintime || $tf_end != $maxtime} { 
	$disp_timeinterval configure -fg $warn 
	set tf_status 1
	} else { 
	$disp_timeinterval configure -fg $fg
	set tf_status 0 
	}
}

