# PFotos 1.5 Copyright(C) 2017-2022 Cora Kohlmeier, Frank Hamberg
proc checkSelection {icounter} {
global langstring lang
	# Start mit leerer Selection abfangen
	if {$icounter==0} {
		tk_messageBox -default ok \
					  -icon error\
					  -message $langstring(emptylist_msg,$lang) \
					  -detail $langstring(emptylist_detail,$lang)\
					  -title $langstring(emptylist_title,$lang)
		return -1
	}
	# Stop bei zu langer Liste [10000 ist wirklich Ende]
	if {$icounter>10000} {
		tk_messageBox -default ok \
					  -icon error\
					  -message "$langstring(toolonglist_msg,$lang) $icounter $langstring(entries,$lang)"  \
					  -detail $langstring(toolonglist_detail,$lang)\
					  -title $langstring(toolonglist_title,$lang)
		return -1
	}
	
	# Warnung bei langer Liste
	if {$icounter>1000} {
		set answer [tk_messageBox -type yesno \
					  -icon question\
					  -message "$langstring(longlist_msg,$lang) $icounter $langstring(entries,$lang)" \
					  -detail $langstring(longlist_detail,$lang)\
					  -title $langstring(longlist_title,$lang)
					]
		switch -- $answer {
			no {return -1}
			yes {}
		}	
	}
return 1		
}
