# PFotos 1.5 Copyright(C) 2017-2022 Cora Kohlmeier, Frank Hamberg
proc getBalloon {crchash} {
global crc2index alldata csvsep
global langstring lang
set output ""
# hier rückwärts aus dem crc-Hash den Index holen
set index $crc2index($crchash)
# den Eintrag aus alldate holen und in die Teile zerlegen
set data [split $alldata($index) $csvsep]	
# und die Tooltip aufbauen
append output "$langstring(camera,$lang):[lindex $data 1]\n"
append output "$langstring(lens,$lang):[lindex $data 2]\n"
append output "$langstring(focallength35,$lang):[lindex $data 3]\n"
append output "$langstring(focallength,$lang):[lindex $data 8]\n"
append output "$langstring(exposure,$lang):[lindex $data 6]\n"
append output "$langstring(aperture,$lang):[lindex $data 4]\n"
append output "$langstring(iso,$lang):[lindex $data 5]\n"
append output "$langstring(datetime,$lang):[lindex $data 9]\n"
append output "$langstring(path,$lang):[file dirname [lindex $data 0]]"

return $output
}
