# PFotos 1.5 Copyright(C) 2017-2022 Cora Kohlmeier, Frank Hamberg
proc makeHistogram {name binvalues bindata localbinlist} {
global  imagenumber unknownvalue
upvar 1 $bindata localbindata
#puts "Getall: localbinlist:$localbinlist"
# Histogramm bauen: datawerte in die Bins aufteilen
# Bin-Liste in Array umbauen und Raender hinzufuegen
set binarray(-1) 0
set binarray(0) 0
set k 1
foreach item $localbinlist {
  set binarray($k) $item
  incr k
}
set binarray($k) $unknownvalue

#Initialisierung
foreach item $localbinlist {set localbindata($item) 0}

# Bilder abarbeiten und in die databins schieben
foreach item $binvalues {
   if {$name=="cameras" || $name=="lenses" || $name=="flash" || $name=="type"} {   
        for {set j 0} {$j<$k} {incr j} { 
         if { [string match $item $binarray($j)]} { incr localbindata($binarray($j)) }
		}
	} else {
#	   if {$item==""} { set item -2;}
	   
	   if {[checkUnknown $item]==1} {set value $item} else {set value [expr 1.0*$item]}
       for {set j 0} {$j<$k} {incr j} { 
            if {($value > [expr 1.0*$binarray($j)]) && ($value <=  [expr 1.0*$binarray([expr $j+1])] )} {
					   incr localbindata($binarray([expr $j+1]))
					   		   
#			puts "makehisto:value:$value-- binarray($j):[expr 1.0*$binarray($j)]-- binarray([expr $j+1]):[expr 1.0*$binarray([expr $j+1])]-- \
			      localbindata($binarray([expr $j+1])):$localbindata($binarray([expr $j+1]))"
		    }
      }
      if {($value > [expr 1.0*$binarray([expr $k-1])])} {incr localbindata($binarray([expr $k-1]))
#			puts "makehisto-end:value:$value-- binarray([expr $k-1]):[expr 1.0*$binarray([expr $k-1])] localbindata($binarray([expr $k-1])):$localbindata($binarray([expr $k-1]))"
		  
		  }
}

}
# Maximale Anzahl bestimmen
set binmax 1
foreach item $localbinlist {	
		set binmax [max $binmax $localbindata($item)] 		
}
return $binmax
}


