# PFotos 1.5 Copyright(C) 2017-2022 Cora Kohlmeier, Frank Hamberg
proc menubar {} {
global langstring lang
menu .menubar
. configure -menu .menubar
 
menu .menubar.file -tearoff 0
.menubar add cascade -label $langstring(filem,$lang) -menu .menubar.file
.menubar.file add command -label $langstring(extract,$lang) -command { extractExifs; restoreHist}
.menubar.file add command -label $langstring(open,$lang) -command { OpenFile 1; restoreHist}
.menubar.file add command -label $langstring(oldfile,$lang) -command { renameExif; restoreHist}

.menubar.file add command -label $langstring(saveselection,$lang) -command {export_selection;restoreHist}
.menubar.file add command -label $langstring(export,$lang) -command {exportcsv;restoreHist}
.menubar.file add command -label $langstring(exit,$lang) -command {writedefaults;exit}

menu .menubar.pfotos -tearoff 0
.menubar add cascade -label PFotos -menu .menubar.pfotos
.menubar.pfotos add command -label $langstring(camslenses,$lang) -command {makeframe histogram1; eval histogram1}
.menubar.pfotos add command -label $langstring(imagedata,$lang) -command {makeframe histogram2; eval histogram2}
.menubar.pfotos add command -label $langstring(preferences,$lang) -command {makeframe preferences; eval  preferences}

menu .menubar.help -tearoff 0
.menubar add cascade -label $langstring(help,$lang) -menu .menubar.help
.menubar.help add command -label $langstring(license,$lang) -command {makeframe license; eval  tatzetool license}
.menubar.help add command -label $langstring(help,$lang) -command {exec {*}$showhelp}
.menubar.help add command -label $langstring(about,$lang) -command {makeframe tatze; eval tatzetool about}
} 
